portsupgrade が portsupgrade できない

 「自縄自縛」「矛盾」「鶏が先か卵が先か」みたいな話ですが。

 FreeBSD 8.4R で portsupgrade が portsupgrade でアップグレードできませんな。

 ruby20 が必要らしいが、ruby19 との間でコンフリクトが発生しています。

 結局、pkg delete ruby で ruby をいったん消しました。
 わたしの環境では

ruby-1.9.3.547_3,1
ruby19-bdb-0.6.6_4
ruby19-date2-4.0.19
vim-7.4.430_2
portupgrade – (バージョンわかんね)

 が消えちゃいましたが、portsupgrade と vim を ports から再インストールすることで落ち着きました。

0 0 votes
Article Rating
Subscribe
Notify of
guest

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください

0 Comments
Inline Feedbacks
View all comments
0
Would love your thoughts, please comment.x
()
x